/*
 * File    : delay.c
 * Purpose : define functions for delay
 * Author  : Ronald Kriemann
 */

#include "delay.h"

/*
 * delay for 1 us at 8 MHz
 */
void
delay_us ( ushort us )
{
    while ( us-- > 0 )
    {
        __asm__ __volatile__( "nop" );
        __asm__ __volatile__( "nop" );
        __asm__ __volatile__( "nop" );
    }
}

/*
 * delay for 1 ms
 */
void
delay_ms ( ushort ms )
{
    while ( ms-- > 0 )
    {
        delay_us( 1000 );
    }
}

