#ifndef __LED_H
#define __LED_H
/*
 * File    : led.h
 * Purpose : define functions to control LEDs
 */

#define LED_GREEN  0
#define LED_RED    1

/*
 * init LEDs
 */
void led_init ( void );

/*
 * turn LEDs on and off
 */
void led_on  ( char n );
void led_off ( char n );

/* turn led off with delay */
void led_off_d ( char n );

#endif
